Name: gtk-gnutella
Summary: GUI based Gnutella Client
Version: 1.1.11
Release: 4%{?dist}
Group: Applications/Internet
License: GPLv2+
URL: http://gtk-gnutella.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: http://sourceforge.net/projects/gtk-gnutella/files/gtk-gnutella-%{version}.tar.bz2

%if 0%{!?_with_gtk1:1}
BuildRequires: gtk2-devel, libglade2-devel
%else
BuildRequires: gtk+-devel, libglade-devel
%endif
BuildRequires: libxml2-devel, byacc, groff, gettext

BuildRequires: gnutls-devel >= 1.0.16, dbus-devel >= 0.35.2

BuildRequires: desktop-file-utils >= 0.2.90


%description
Gtk-Gnutella is a GUI based Gnutella p2p servent. It's a fully featured  
servent designed to share any type of file.  Gtk-gnutella implements 
compressed gnutella net connections, ultrapeer and leaf nodes and uses 
Passive/Active Remote Queuing (PARQ), and other modern gnutella network 
features.


%prep
%setup -q


%build
./Configure -O -Dprefix=%{_prefix} -Dbindir=%{_bindir} \
	-Dglibpth="/%{_lib} %{_libdir}" \
	-Dprivlib=%{_datadir}/%{name} -Dsysman=%{_mandir}/man1 \
	-Dccflags="%{optflags}" -Dcc="%{__cc}" -Dyacc="byacc" \
	-Dgtkversion=%{?_with_gtk1:1}%{!?_with_gtk1:2} \
	-Dofficial=true -ders
make #%{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL_PREFIX=$RPM_BUILD_ROOT
make install.man INSTALL_PREFIX=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/appdata

rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/*.svg
install -D -m 644 extra_files/gtk-gnutella.16.png \
	$RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.32.png \
	$RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.png \
	$RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps/gtk-gnutella.png
install -D -m 644 extra_files/gtk-gnutella.svg \
	$RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/scalable/apps/gtk-gnutella.svg

desktop-file-install --delete-original	\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	$RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/gtk-gnutella
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/*

%doc README TODO AUTHORS LICENSE GEO_LICENSE doc/other/shell.txt


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Nov 18 2016 Dmitry Butskoy <Dmitry@Butskoy.name> - 1.1.11-1
- update to 1.1.11

* Thu Sep 22 2016 Dmitry Butskoy <Dmitry@Butskoy.name> - 1.1.10-1
- update to 1.1.10

* Sun Mar  6 2016 Dmitry Butskoy <Dmitry@Butskoy.name> - 1.1.9-1
- update to 1.1.9

* Tue Feb  9 2016 Dmitry Butskoy <Dmitry@Butskoy.name> - 1.1.8-1
- update to 1.1.8 (#1300181)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Nov 19 2014 Dmitry Butskoy <Dmitry@Butskoy.name> - 1.1.1-1
- Upgrade to 1.1.1

* Mon Dec 30 2013 Dmitry Butskoy <Dmitry@Butskoy.name> - 1.0.0-1
- Upgrade to 1.0.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 23 2013 Jon Ciesla <limburgher@gmail.com> - 0.98.4-3
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 13 2012 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.98.4-1
- Upgrade to 0.98.4

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.97.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.97.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec  2 2011 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.97.1-1
- Upgrade to 0.97.1
- add upstream patch for zero fileindex

* Tue Apr 12 2011 Dan Horák <dan[at]danny.cz> - 0.96.9-2
- s390(x) has IEEE 754 floats

* Thu Mar 24 2011 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.9-1
- update to 0.96.9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.96.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Mar 29 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.8-1
- update to 0.96.8

* Tue Mar 16 2010 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.7-1
- update to 0.96.7

* Thu Nov  5 2009 Bill Nottingham <notting@redhat.com> - 0.96.6-3
- Rebuild against new glibc headers (#533063)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.96.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 30 2009 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.6-1
- update to 0.96.6

* Fri Sep 26 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.5-3
- pass compiler correctly for Configure script

* Wed Jun 25 2008 Tomas Mraz <tmraz@redhat.com> - 0.96.5-2
- rebuild with new gnutls

* Tue Apr  8 2008 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.5-1
- update to 0.96.5

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.96.4-4
- Autorebuild for GCC 4.3

* Thu Dec 20 2007 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.4-3
- Update hostiles.txt file to the latest upstream SVN version

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.96.4-2
- Rebuild for selinux ppc32 issue.

* Fri Aug 17 2007 Dmitry Butskoy <Dmitry@Butskoy.name>
- Change License tag to GPLv2+

* Tue Jul 10 2007 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.4-1
- update to 0.96.4

* Tue Jun 26 2007 Dmitry Butskoy <Dmitry@Butskoy.name>
- drop X-Fedora category from desktop file

* Tue Nov 14 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.3-2
- switch GNU TLS support on

* Mon Nov 13 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.3-1
- update to 0.96.3
- specify libdirs explicitly for Configure script (needed for x86_64)

* Mon Oct 23 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.2-1
- update to 0.96.2

* Fri Feb 24 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96.1-1
- update to 0.96.1

* Tue Jan 31 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.96-1
- upgrade to 0.96

* Fri Oct 28 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.95.4-2
- patch0: don't pre-strip binary on makeinstall (#171922)

* Mon Oct  3 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.95.4-1
- accepted for Fedora Extra
  (review by Aurelien Bompard <gauret@free.fr>)

* Wed Sep 28 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.95.4-1
- Upgrade to 0.95.4
- spec file cleanups for Fedora Extras
- build with gtk2 by default, or specify "--with gtk1" for rpmbuild

* Mon Jul 12 2004 Simon Perreault <nomis80@nomis80.org> - 0.94-1.gtk2
- Update to 0.94

* Sun Jun 13 2004 Simon Perreault <nomis80@nomis80.org> - 0.93.4-1.gtk2
- Update to 0.93.4

* Mon Jan 26 2004 Simon Perreault <nomis80@nomis80.org> - 0.93.3-2.gtk2
- Replaced bison with byacc, needed for Fedora
- BuildPrereq: -> BuildRequires:
- Misc RPM cleanups

* Sun Jan 25 2004 Murphy <eqom14@users.sourceforge.net>
- 0.93.3
- Added -O option to Configure to override any symbols in config.sh from a previous config. Thanks to Aaron Sherman for pointing out the problem. 
- Removed INSTALLFLAGS option to make install since that bug was fixed (regular files don't get +x anymore.)

* Tue Jan 06 2004 Murphy <eqom14@users.sourceforge.net>
- 0.93.2
- First ChangeLog entry in a while.

* Tue Dec 11 2001 Sam Varshavchik <mrsam@courier-mta.com>
- Initial build.
